<?php

namespace App\Models\View;

use App\Helpers\Constants;
use Illuminate\Database\Eloquent\Model;

class DailyReportView extends Model
{
    protected $table = Constants::VIEW_TABLE_DAILY_REPORT_VIEW;

    public $timestamps = false;

    protected $fillable = [
        'track_id',
        'alltime_zing', 'alltime_nct', 'alltime_keeng',
        'date_zing', 'date_nct', 'date_keeng', 'total_listen',
        'point_zing', 'point_nct', 'point_keeng', 'total_point'
    ];

}
