<?php

namespace App\Models;

use App\Helpers\Constants;
use Illuminate\Database\Eloquent\Model;

class CrawlerListenHistory extends Model
{
    protected $table = Constants::TABLE_CRAWLER_LISTEN_HISTORIES;

    public $timestamps = true;

    protected $fillable = [
        'date_log',
        'track_id',
        'alltime_zing','alltime_nct','alltime_nhacvn','alltime_keeng',
        'zing_count',
        'nct_count',
        'nhacvn_count',
        'keeng_count',
        'total_listen'
    ];
}
